OpenJPEG 2.3.0

Data Structures | Typedefs
t2.h File Reference

Implementation of a tier-2 coding (packetization of code-block data) (T2) More...

Go to the source code of this file.

## Data Structures
struct | opj_t2
| Tier-2 coding More...

## Typedefs
typedef struct opj_t2 | opj_t2_t
| Tier-2 coding More...

## Functions
Exported functions
OPJ_BOOL | opj_t2_encode_packets (opj_t2_t *t2, OPJ_UINT32 tileno, opj_tcd_tile_t *tile, OPJ_UINT32 maxlayers, OPJ_BYTE *dest, OPJ_UINT32 *p_data_written, OPJ_UINT32 len, opj_codestream_info_t *cstr_info, OPJ_UINT32 tpnum, OPJ_INT32 tppos, OPJ_UINT32 pino, J2K_T2_MODE t2_mode, opj_event_mgr_t *p_manager)
| Encode the packets of a tile to a destination buffer More...
OPJ_BOOL | opj_t2_decode_packets (opj_tcd_t *tcd, opj_t2_t *t2, OPJ_UINT32 tileno, opj_tcd_tile_t *tile, OPJ_BYTE *src, OPJ_UINT32 *p_data_read, OPJ_UINT32 len, opj_codestream_index_t *cstr_info, opj_event_mgr_t *p_manager)
| Decode the packets of a tile from a source buffer More...
opj_t2_t * | opj_t2_create (opj_image_t *p_image, opj_cp_t *p_cp)
| Creates a Tier 2 handle. More...
void | opj_t2_destroy (opj_t2_t *t2)
| Destroy a T2 handle More...

## Detailed Description

Implementation of a tier-2 coding (packetization of code-block data) (T2)